## org.apache.myfaces.renderkit.html
Class HtmlRenderKitImpl

    java.lang.Object
      javax.faces.render.RenderKit
          org.apache.myfaces.renderkit.html.HtmlRenderKitImpl

public class HtmlRenderKitImpl
extends javax.faces.render.RenderKit

Version:
  $Revision: 289920 $ $Date: 2005-09-18 09:59:50 -0400 (Sun, 18 Sep 2005) $
Author:
  Manfred Geiler (latest modification by $Author: mmarinschek $)

Constructor Summary
`HtmlRenderKitImpl()`

Method Summary
`void` `addRenderer(java.lang.String componentFamily, java.lang.String rendererType, javax.faces.render.Renderer renderer)`
`javax.faces.context.ResponseStream` `createResponseStream(java.io.OutputStream outputStream)`
`javax.faces.context.ResponseWriter` `createResponseWriter(java.io.Writer writer, java.lang.String contentTypeListString, java.lang.String characterEncoding)`
`javax.faces.render.Renderer` `getRenderer(java.lang.String componentFamily, java.lang.String rendererType)`
`javax.faces.render.ResponseStateManager` `getResponseStateManager()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlRenderKitImpl

    public HtmlRenderKitImpl()

Method Detail

### getRenderer

    public javax.faces.render.Renderer getRenderer(java.lang.String componentFamily,
                                                   java.lang.String rendererType)

### addRenderer

    public void addRenderer(java.lang.String componentFamily,
                            java.lang.String rendererType,
                            javax.faces.render.Renderer renderer)

### getResponseStateManager

    public javax.faces.render.ResponseStateManager getResponseStateManager()

### createResponseWriter

    public javax.faces.context.ResponseWriter createResponseWriter(java.io.Writer writer,
                                                                   java.lang.String contentTypeListString,
                                                                   java.lang.String characterEncoding)

### createResponseStream

    public javax.faces.context.ResponseStream createResponseStream(java.io.OutputStream outputStream)